import hashlib
from django.utils.timezone import utc


def to_isodate(dt):
    return dt.astimezone(utc).isoformat('T').split('.')[0] + 'Z'


def get_document_type_schema(settings, document_type):
    for schema in settings.FARGO_DOCUMENT_TYPES:
        if schema.get('name') == document_type:
            return schema


def sha256_of_file(f):
    '''Compute SHA-256 hash of Django File object'''
    hasher = hashlib.sha256()
    for chunk in f.chunks():
        hasher.update(chunk)
    return hasher.hexdigest()
