from django.utils.translation import ugettext_lazy as _

import django_tables2 as tables

from . import models


class DocumentTable(tables.Table):
    '''Display the list of documents of the user'''
    filename = tables.Column(verbose_name=_('filename').title())
    size = tables.TemplateColumn(template_code='{{ record.document.content.size|filesizeformat }}',
                                 orderable=False,
                                 verbose_name=_('size').title())
    created = tables.DateTimeColumn(verbose_name=_('creation date').title())

    class Meta:
        model = models.Document
        fields = ('filename', 'size', 'created')
        empty_text = _('You currently have no documents')
